8 votos

¿Cómo saber si una aplicación es compatible con ICS?

Estoy pensando en actualizar mi teléfono con Android 2.3.7 (Gingerbread) a 4.0.3 (Icre Cream Sandwich), pero me gustaría saber en primer lugar, si las aplicaciones que normalmente utilizo están disponibles y funcionando en ICS.

¿Existe una manera de saberlo?

6voto

Chris Roberts Puntos 7543

Usted puede consultar la lista de cambios y comentarios sobre el Mercado de la información, muchas aplicaciones han sido recientemente actualizado para ser compatible con ICS y por lo general hay una mención de esto en el changelog. También, si la app no es compatible, por lo general hay un comentario sobre esto.

En mi experiencia, casi todas las aplicaciones que uso son compatibles con ICS o se han actualizado. Algunos pueden no tener todas las características de compatibilidad, tales como el nuevo estilo de menú, pero ICS es compatible con el viejo estilo.

EDIT: los Desarrolladores también pueden especificar el parámetro android:MaxSdkVersion en su AndroidManifest.xml que restringe la aplicación de ejecución (y AFAIK también aparecer en el mercado) en las nuevas plataformas. No he publicado ninguna de las aplicaciones en el Mercado, así que no estoy seguro de si hay distintas configuraciones para restringir las aplicaciones se instalen en la versión superior plataformas.

Usted puede probar para comprobar la AndroidManifest.xml de las aplicaciones mediante el uso de android-apktool, pero esto requiere que usted sepa cómo obtener la .archivos apk a tu pc.

1voto

Mr. Kraus Puntos 1780

Puede configurar el emulador de android con ICS, instale el mercado, y probarlo por ti mismo. Por desgracia, todas las instrucciones que he visto para la instalación del mercado en el emulador son para versiones anteriores de android, así que no estoy seguro de si les gustaría trabajar en ICS. Aquí hay un par:

http://blog.varunkumar.me/2010/11/how-to-install-android-market-in-google.html http://stackoverflow.com/a/4673964/399105

Editar:
Este vínculo parece indicar que podría ser posible, el uso de un dispositivo con android ICS VM en lugar de la oficial del emulador:

http://vmlite.com/index.php?option=com_kunena&Itemid=158&func=view&catid=9&id=8838&limit=6&limitstart=84#8951

0voto

timmow Puntos 1625

No hay ningún tal método para saber si todas las apps funcionaría en el ICS, he visto algunos problemas con el problema de aceleración de hardware en aplicaciones viejas cuando se ejecuta en el ICS, depende en la compilación de la aplicación, si cualquier auténticas aplicaciones como navegadores mozilla cromo actualizaría su aplicación dependiendo del sistema operativo que tiene. No hay que preocuparse acerca de las aplicaciones que se actualiza de vez en cuando, aún personas están tratando de arreglar todo para que funcionen en ICS,. Déjenos C

PreguntAndroid.com

PreguntAndroid es una comunidad de usuarios de Android en la que puedes resolver tus problemas y dudas.
Puedes consultar las preguntas de otros usuarios, hacer tus propias preguntas o resolver las de los demás.

Powered by: